/**
 ** Stored Procedure : SendSMS
 **
 ** this samplecode is distributed with EPiSMS 1.0
 **
 ** Example of usage:
 ** exec SendSMS '+46708123456','test from sqlserver'
 **
 **/
create procedure SendSMS
@To    varchar(32),
@Body  varchar(160)
as
begin

 declare @hr      integer
 declare @newSMS  integer
 declare @MsgId   varchar(40)

 exec @hr = sp_OACreate 'EPiSMS.NewSMS', @newSMS output
 if @hr = 0
 begin
  exec @hr = sp_OASetProperty @newSMS, 'To'  , @To
  exec @hr = sp_OASetProperty @newSMS, 'Body', @Body
  exec @hr = sp_OAMethod @newSMS, 'Send', @MsgId output
  exec @hr = sp_OADestroy @newSMS
 end

end
go

