<SCRIPT LANGUAGE="VBScript">

'**
'** This eventsink forwards emails sent to sms.XXXXX@whatever to the
'** gsmphone identified by the XXXXX number
'**
'** example of usage:
'** mail sent to [sms.0708123456@mysmtpserver.domain.com]
'** sends the email as SMS to the GSM phone 0708123456
'**
'** This script is distributed as a samplescript for the ElektroPost SMS Service
'** product.
'**
'** http://www.ep.se 
'**
Sub ISMTPOnArrival_OnArrival(ByVal Msg, EventStatus )

	Dim Originator
	Originator = Msg.EnvelopeFields("http://schemas.microsoft.com/cdo/smtpenvelope/senderemailaddress")
	
	Dim Recipients
	Recipients = GetRecipientArray(Msg.EnvelopeFields("http://schemas.microsoft.com/cdo/smtpenvelope/recipientlist"))

	Dim Body
	Body	   = Left( Msg.Subject & vbCrLf & Msg.TextBody, 160 )

	Dim episms_O
	set episms_O  = CreateObject("EPiSMS.NewSMS")
	
	episms_O.Body = Body

	Dim MsgId
	
	Dim j
	For j = 0 To UBound(Recipients)-1

		If UCase(Left( Recipients(j), 3 )) = "SMS" Then

			alfaPos = Instr( 1, Recipients(j), "@" )
	
			episms_O.To		= Mid( Recipients(j),5,alfaPos-5 )
			MsgId = episms_O.Send
			
		End If

	Next

	Set episms_O = Nothing

	EventStatus = cdoRunNextSink

End Sub

Function GetRecipientArray( Recipients )

	Recipients =  Replace( Recipients, "SMTP:", "" )
	GetRecipientArray = Split( Recipients, ";" )

End Function

</SCRIPT>
